package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name = "PlanningRekrutmenSeleksiD_T")
public class PlanningRekrutmenSeleksiD extends BaseTransaction{
	@ManyToOne
	@JoinColumn(name = "noPlanning")
	@Caption(value="noPlanning")
	private StrukPlanning noPlanning;

	@Column(name = "noPlanning", insertable=false,updatable=false,nullable=false)
	private String noPlanningId;

	@Column(name = "tglPlanning", nullable = false)
	@Caption(value = "tglPlanning")
	private Date tglPlanning;
	
	@ManyToOne
	@JoinColumn(name = "produkRsFk")
	@Caption(value="produkRsFk")
	private Produk produkRs;

	@Column(name = "produkRsFk", insertable=false,updatable=false,nullable=false)
	private Integer produkRsId;
	
	@ManyToOne
	@JoinColumn(name = "pegawaiFk")
	@Caption(value="pegawaiFk")
	private Pegawai pegawai;

	@Column(name = "pegawaiFk", insertable=false,updatable=false,nullable=false)
	private Integer pegawaiId;

	@ManyToOne
	@JoinColumn(name = "jenisPetugasPeFk")
	@Caption(value="jenisPetugasPeFk")
	private JenisPetugasPelaksana jenisPetugasPe;

	@Column(name = "jenisPetugasPeFk", insertable=false,updatable=false,nullable=true)
	private Integer jenisPetugasPeId;
	
	@Column(name = "isPetugasPePJawab", nullable = true)
	@Caption(value = "isPetugasPePJawab")
	private Byte isPetugasPePJawab;

	@Column(name = "deskripsiTugasFungsi", nullable = true)
	@Caption(value = "deskripsiTugasFungsi")
	private String deskripsiTugasFungsi;

	@Column(name = "keteranganPlanLainnya", nullable = true)
	@Caption(value = "keteranganPlanLainnya")
	private String keteranganPlanLainnya;

	@ManyToOne
	@JoinColumn(name = "pegawaiExecFk")
	@Caption(value="pegawaiExecFk")
	private Pegawai pegawaiExec;

	@Column(name = "pegawaiExecFk", insertable=false,updatable=false,nullable=true)
	private Integer pegawaiExecId;

	@ManyToOne
	@JoinColumn(name = "jenisPegawaiLamarFk")
	@Caption(value="jenisPegawaiLamarFk")
	private JenisPegawai jenisPegawaiLamar;

	@Column(name = "jenisPegawaiLamarFk", insertable=false,updatable=false,nullable=true)
	private Integer jenisPegawaiLamarId;

	@ManyToOne
	@JoinColumn(name = "jabatanLamarFk")
	@Caption(value="jabatanLamarFk")
	private Jabatan jabatanLamar;

	@Column(name = "jabatanLamarFk", insertable=false,updatable=false,nullable=true)
	private Integer jabatanLamarId;

	@Column(name = "nilaiScore", nullable = true)
	@Caption(value = "nilaiScore")
	private Double nilaiScore;

	@ManyToOne
	@JoinColumn(name = "rangeNilaiScoreFk")
	@Caption(value="rangeNilaiScoreFk")
	private Range rangeNilaiScore;

	@Column(name = "rangeNilaiScoreFk", insertable=false,updatable=false,nullable=true)
	private Integer rangeNilaiScoreId;

	@Column(name = "keteranganExecLainnya", nullable = true)
	@Caption(value = "keteranganExecLainnya")
	private String keteranganExecLainnya;

	@Column(name = "statusLulus", nullable = true)
	@Caption(value = "statusLulus")
	private Integer statusLulus;

	public StrukPlanning getNoPlanning() {
		return noPlanning;
	}

	public void setNoPlanning(StrukPlanning noPlanning) {
		this.noPlanning = noPlanning;
	}

	public String getNoPlanningId() {
		return noPlanningId;
	}

	public void setNoPlanningId(String noPlanningId) {
		this.noPlanningId = noPlanningId;
	}

	public Date getTglPlanning() {
		return tglPlanning;
	}

	public void setTglPlanning(Date tglPlanning) {
		this.tglPlanning = tglPlanning;
	}

	public Produk getProdukRs() {
		return produkRs;
	}

	public void setProdukRs(Produk produkRs) {
		this.produkRs = produkRs;
	}

	public Integer getProdukRsId() {
		return produkRsId;
	}

	public void setProdukRsId(Integer produkRsId) {
		this.produkRsId = produkRsId;
	}

	public Pegawai getPegawai() {
		return pegawai;
	}

	public void setPegawai(Pegawai pegawai) {
		this.pegawai = pegawai;
	}

	public Integer getPegawaiId() {
		return pegawaiId;
	}

	public void setPegawaiId(Integer pegawaiId) {
		this.pegawaiId = pegawaiId;
	}

	public JenisPetugasPelaksana getJenisPetugasPe() {
		return jenisPetugasPe;
	}

	public void setJenisPetugasPe(JenisPetugasPelaksana jenisPetugasPe) {
		this.jenisPetugasPe = jenisPetugasPe;
	}

	public Integer getJenisPetugasPeId() {
		return jenisPetugasPeId;
	}

	public void setJenisPetugasPeId(Integer jenisPetugasPeId) {
		this.jenisPetugasPeId = jenisPetugasPeId;
	}

	public Byte getIsPetugasPePJawab() {
		return isPetugasPePJawab;
	}

	public void setIsPetugasPePJawab(Byte isPetugasPePJawab) {
		this.isPetugasPePJawab = isPetugasPePJawab;
	}

	public String getDeskripsiTugasFungsi() {
		return deskripsiTugasFungsi;
	}

	public void setDeskripsiTugasFungsi(String deskripsiTugasFungsi) {
		this.deskripsiTugasFungsi = deskripsiTugasFungsi;
	}

	public String getKeteranganPlanLainnya() {
		return keteranganPlanLainnya;
	}

	public void setKeteranganPlanLainnya(String keteranganPlanLainnya) {
		this.keteranganPlanLainnya = keteranganPlanLainnya;
	}

	public Pegawai getPegawaiExec() {
		return pegawaiExec;
	}

	public void setPegawaiExec(Pegawai pegawaiExec) {
		this.pegawaiExec = pegawaiExec;
	}

	public Integer getPegawaiExecId() {
		return pegawaiExecId;
	}

	public void setPegawaiExecId(Integer pegawaiExecId) {
		this.pegawaiExecId = pegawaiExecId;
	}

	public JenisPegawai getJenisPegawaiLamar() {
		return jenisPegawaiLamar;
	}

	public void setJenisPegawaiLamar(JenisPegawai jenisPegawaiLamar) {
		this.jenisPegawaiLamar = jenisPegawaiLamar;
	}

	public Integer getJenisPegawaiLamarId() {
		return jenisPegawaiLamarId;
	}

	public void setJenisPegawaiLamarId(Integer jenisPegawaiLamarId) {
		this.jenisPegawaiLamarId = jenisPegawaiLamarId;
	}

	public Jabatan getJabatanLamar() {
		return jabatanLamar;
	}

	public void setJabatanLamar(Jabatan jabatanLamar) {
		this.jabatanLamar = jabatanLamar;
	}

	public Integer getJabatanLamarId() {
		return jabatanLamarId;
	}

	public void setJabatanLamarId(Integer jabatanLamarId) {
		this.jabatanLamarId = jabatanLamarId;
	}

	public Double getNilaiScore() {
		return nilaiScore;
	}

	public void setNilaiScore(Double nilaiScore) {
		this.nilaiScore = nilaiScore;
	}

	public Range getRangeNilaiScore() {
		return rangeNilaiScore;
	}

	public void setRangeNilaiScore(Range rangeNilaiScore) {
		this.rangeNilaiScore = rangeNilaiScore;
	}

	public Integer getRangeNilaiScoreId() {
		return rangeNilaiScoreId;
	}

	public void setRangeNilaiScoreId(Integer rangeNilaiScoreId) {
		this.rangeNilaiScoreId = rangeNilaiScoreId;
	}

	public String getKeteranganExecLainnya() {
		return keteranganExecLainnya;
	}

	public void setKeteranganExecLainnya(String keteranganExecLainnya) {
		this.keteranganExecLainnya = keteranganExecLainnya;
	}

	public Integer getStatusLulus() {
		return statusLulus;
	}

	public void setStatusLulus(Integer statusLulus) {
		this.statusLulus = statusLulus;
	}
	
}
